Skip to content

Sign in with Denpa — step 5: token

POST
/api/protocol/v1/auth/token

grant_type=authorization_code (code + code_verifier, or client_secret / HTTP Basic) or grant_type=refresh_token (rotating). JSON or form-urlencoded. Codes: 5 min, single use — reuse revokes the family. Access 1h, refresh 30d. 60/min per IP.

object
grant_type
string
Allowed values: authorization_code refresh_token urn:ietf:params:oauth:grant-type:device_code
code
string
code_verifier
string
redirect_uri
string
client_id
string
client_secret
string
refresh_token
string

Tokens

object
tokenType
string
Allowed value: Bearer
accessToken
string
Example
dat_…
expiresIn
integer
Example
3600
refreshToken
string | null
Example
drt_…
scope
string
Example
profile:read signal:create
denpaId
string format: uuid
grantId
string format: uuid

invalid_request / invalid_scope / invalid_grant

object
error
required

Stable machine-readable code (snake_case) or a short reason.

string
message
string
key
additional properties
any

Invalid_client

object
error
required

Stable machine-readable code (snake_case) or a short reason.

string
message
string
key
additional properties
any

Rate_limited

object
error
required

Stable machine-readable code (snake_case) or a short reason.

string
message
string
key
additional properties
any